TapestryDocletTask (XDoclet 1.2.3 API)
Keywords: xdoclet.modules.apache.tapestry.TapestryDocletTask class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## xdoclet.modules.apache.tapestry
Class TapestryDocletTask

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              xjavadoc.ant.XJavadocTask
                  xdoclet.DocletTask
                      xdoclet.modules.apache.tapestry.TapestryDocletTask

All Implemented Interfaces:
  org.apache.tools.ant.DynamicConfigurator

public class TapestryDocletTask
extends DocletTask

This task builds various Tapestry configuration files. Make sure to include the jar file containing the Tapestry classes is on the taskdef's classpath.

Version:
  $Revision: 1.1 $
Author:
  Michael Newcomb (mnewcomb@sourceforge.net)
ant.element
  name="tapestrydoclet" display-name="Tapestry Task"
created
  February 4, 2005

Field Summary

Fields inherited from class xdoclet.DocletTask
`XDOCLET_VERSION`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`TapestryDocletTask()`

Method Summary
`protected void` | `validateOptions()` Called by superclass before start() is called

Methods inherited from class xdoclet.DocletTask
`addConfigParam, addFileset, addPackageSubstitution, addSubTask, addTemplate, addXmlTemplate, checkClass, createDynamicElement, getAddedTags, getConfigParams, getConfigParams, getConfigParamsAsMap, getDestDir, getExcludedTags, getMergeDir, getPackageSubstitutions, getSubTaskName, getSubTasks, isForce, isVerbose, setAddedTags, setDestDir, setDynamicAttribute, setExcludedTags, setExcludePackageNames, setForce, setMergeDir, setPackageNames, setPackageSubstitutions, setVerbose, start, validateSubTasks`

Methods inherited from class xjavadoc.ant.XJavadocTask
`createIgnoredtag, execute, getClasspath, getXJavaDoc, setDocencoding, setEncoding, setIgnoredtags, setValidating`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TapestryDocletTask

    public TapestryDocletTask()

Method Detail

### validateOptions

    protected void validateOptions()
                            throws org.apache.tools.ant.BuildException

  Description copied from class: `DocletTask`
  Called by superclass before start() is called

  Overrides:
    `validateOptions` in class `DocletTask`
  Throws:
    `org.apache.tools.ant.BuildException` - Describe the exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://xdoclet.sourceforge.net/
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD